Projects endpoints
GET /api/v1/orgs/{org_id}/projects
Section titled “GET /api/v1/orgs/{org_id}/projects”List Projects
| Parameter | In | Type | Required | Notes |
|---|---|---|---|---|
org_id |
path | string (uuid) | yes |
| Status | Description | Body |
|---|---|---|
| 200 | Successful Response | application/json: array of ProjectOut |
| 422 | Validation Error | application/json: HTTPValidationError |
POST /api/v1/orgs/{org_id}/projects
Section titled “POST /api/v1/orgs/{org_id}/projects”Create Project
| Parameter | In | Type | Required | Notes |
|---|---|---|---|---|
org_id |
path | string (uuid) | yes |
Request body (application/json, required): ProjectCreateIn
| Status | Description | Body |
|---|---|---|
| 201 | Successful Response | application/json: ProjectOut |
| 422 | Validation Error | application/json: HTTPValidationError |
DELETE /api/v1/projects/{project_id}
Section titled “DELETE /api/v1/projects/{project_id}”Delete Project
Delete the project with its traces, spans and API keys.
Admins and owners may, by typing the project’s slug as confirm. The org’s audit log keeps a
project.delete event with the name and slug, written in the same transaction.
| Parameter | In | Type | Required | Notes |
|---|---|---|---|---|
project_id |
path | string (uuid) | yes |
Request body (application/json, required): ProjectDeleteIn
| Status | Description | Body |
|---|---|---|
| 204 | Successful Response | none |
| 422 | Validation Error | application/json: HTTPValidationError |
GET /api/v1/projects/{project_id}
Section titled “GET /api/v1/projects/{project_id}”Get Project
| Parameter | In | Type | Required | Notes |
|---|---|---|---|---|
project_id |
path | string (uuid) | yes |
| Status | Description | Body |
|---|---|---|
| 200 | Successful Response | application/json: ProjectOut |
| 422 | Validation Error | application/json: HTTPValidationError |
PATCH /api/v1/projects/{project_id}
Section titled “PATCH /api/v1/projects/{project_id}”Update Project
| Parameter | In | Type | Required | Notes |
|---|---|---|---|---|
project_id |
path | string (uuid) | yes |
Request body (application/json, required): ProjectUpdateIn
| Status | Description | Body |
|---|---|---|
| 200 | Successful Response | application/json: ProjectOut |
| 422 | Validation Error | application/json: HTTPValidationError |
GET /api/v1/projects/{project_id}/onboarding
Section titled “GET /api/v1/projects/{project_id}/onboarding”Onboarding Status
| Parameter | In | Type | Required | Notes |
|---|---|---|---|---|
project_id |
path | string (uuid) | yes |
| Status | Description | Body |
|---|---|---|
| 200 | Successful Response | application/json: OnboardingOut |
| 422 | Validation Error | application/json: HTTPValidationError |